Remove bug that sometime a moved paragraph is indicated, but not visibly matched
Closed, ResolvedPublic3 Story Points

Description

Motivation
Sometimes, one paragraph may be matched as the new location of two previous paragraphs. However, we always want to see a 1:1 relationship. If there is another paragraph that could be matched, this should not appear visually.

Example
http://wmde-wikidiff2-mobile.wmflabs.org/core/index.php?title=Autoimport/Tennis_at_the_2006_Asian_Games_–_Women%27s_team&diff=1733&oldid=1732

Task
Change the code, so that we always see only 1:1 paired paragraphs.

Lea_WMDE created this task.May 23 2018, 1:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 23 2018, 1:16 PM
Lea_WMDE triaged this task as Normal priority.May 23 2018, 1:22 PM
Lea_WMDE set the point value for this task to 8.
Lea_WMDE renamed this task from PLACEHOLDER TICKET unclickable moved paragraph to Remove bug that sometime a moved paragraph is indicated, but not visibly matched.May 23 2018, 1:56 PM
Lea_WMDE added a project: WMDE-QWERTY-Team.
Lea_WMDE updated the task description. (Show Details)
jkroll claimed this task.May 24 2018, 3:53 PM
jkroll moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-05-23 board.

There is special code for the case where one destination paragraph seems to match several source paragraphs or vice versa. In that case, only one source (or destination) paragraph is then selected. In this particular diff, this detection doesn't work correctly. I'm working on a solution and feel I'm pretty close. Next step will be a patch, a new test VM and a mod to the compare script which will check what the fix changes. I will then check this list for possible regressions.

Change 436840 had a related patch set uploaded (by Jkroll; owner: Jkroll):
[mediawiki/php/wikidiff2@master] [WiP] fix T195373

https://gerrit.wikimedia.org/r/436840

Tobi_WMDE_SW changed the point value for this task from 8 to 3.Jun 5 2018, 12:12 PM
Tobi_WMDE_SW added a subscriber: Tobi_WMDE_SW.

Still to do before merging: check test cases

Test cases are here: https://wmde-wikidiff2-debug.wmflabs.org/core/index.php?title=DiffcompareDebug

This compares wd2 output before and after gerrit change 436840. There are 3 changes; one fixes the bug in "Autoimport/Tennis at the 2006 Asian Games – Women's team" (it still is an ugly imperfect edge case, but the paragraphs are now matched). The other two are minor changes in output as a side effect of the fix. I found no other issues. From my pov the patch is ready to be reviewed and merged.

Change 436840 merged by jenkins-bot:
[mediawiki/php/wikidiff2@master] fix T195373

https://gerrit.wikimedia.org/r/436840

WMDE-Fisch added subscribers: thiemowmde, WMDE-Fisch.

@thiemowmde @jkroll

Where can this be easily demoed? Best with a before / after diff

Vvjjkkii renamed this task from Remove bug that sometime a moved paragraph is indicated, but not visibly matched to agcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed jkroll as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: jkroll; removed: gerritbot, Aklapper.
CommunityTechBot set the point value for this task to 3.Jul 2 2018, 4:40 AM
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot assigned this task to jkroll.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot renamed this task from agcaaaaaaa to Remove bug that sometime a moved paragraph is indicated, but not visibly matched.
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: jkroll.
Lea_WMDE closed this task as Resolved.Jul 3 2018, 3:23 PM